import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleShewhart extends JFrameChart { 
    static final double data[] = {
        9.45, 7.99, 9.29, 11.66, 12.16, 10.18, 8.04, 11.46, 9.20, 10.34, 9.03, 
        11.47, 10.51, 9.40, 10.08, 9.37, 10.62, 10.31, 8.52, 10.84, 10.90, 
        9.33, 12.29, 11.50, 10.60, 11.08, 10.38, 11.62, 11.31, 10.52
    };
    
    public SampleShewhart() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        ShewhartControlChart xbars = new ShewhartControlChart(axis);
        xbars.setData(data);
        xbars.addLowerControlLimit().setValue(7);
        xbars.addCenterLine().setValue(10);
        xbars.addUpperControlLimit().setValue(13);
    }
    
    
    public static void main(String argv[]) {
        new SampleShewhart().setVisible(true);
    }
}